2017-12-06 12 views
6

basit bir test değil birim test ... android.enableAapt2=falseiçin gradle.properties eklemeCan KOTLIN (ExecutionException, Aapt2Exception)

import org.junit.Test 

class KotlinUnitTest { 

    @Test 
    fun test() { 
     assert(true) 
    } 
} 

... Aşağıdaki sonuçları ...

Information:Gradle: Executing tasks: [:app:assembleDebug, :app:assembleDebugUnitTest] 
Information:Kotlin: Kotlin JPS plugin is disabled 
Information:Module "app" was fully rebuilt due to project configuration/dependencies changes 
Information:06/12/2017 5:08 PM - Compilation completed with 3 errors and 0 warnings in 19s 962ms 
Error:Gradle: java.util.concurrent.ExecutionException: java.util.concurrent.ExecutionException: com.android.tools.aapt2.Aapt2Exception: AAPT2 error: check logs for details 
Error:Gradle: java.util.concurrent.ExecutionException: com.android.tools.aapt2.Aapt2Exception: AAPT2 error: check logs for details 
Error:Gradle: com.android.tools.aapt2.Aapt2Exception: AAPT2 error: check logs for details 

(veya ayrıca gradle-wrapper.properties), Android Studio'yu her test yaptığımda sonsuza dek durdurdu.

ben açabiliyorum, çünkü bu çok garip ...

  • sebebi ne olursa olsun,

Java içinde (Kotlin dosyalarla dolu) benim üretim uygulamasının

  • Birim testi çalıştırın Ama Ben Kotlin

  • +0

    not gradle bağımlılıkları lütfen – donfuxx

    cevap

    2

    Ben de aynı sorunu yaşıyorum. Basit bir test için: 3.0.1 için 1.1.60 ve Gradle için

    @RunWith(RobolectricTestRunner::class) 
    @Config(constants = BuildConfig::class) 
    class MainActivityTest { 
        private lateinit var activityController: ActivityController<MainActivity> 
    
        @Before 
        @Throws(Exception::class) 
        fun setUp() { 
         activityController = Robolectric.buildActivity(MainActivity::class.java) 
    
         activityController.create().start().resume() 
    
        } 
    
        @Test 
        @Throws(Exception::class) 
        fun testNotBeNull() { 
         assertNotNull(activityController.get()) 
        } 
    
    } 
    

    Güncelleme son için Kotlin sürümü bunu çözmek.

    +0

    Ancak Kotlin son sürümü 1.2.0 – OsipXD

    +0

    @OsipXD İlginç, Android Studio 1.1.60 olarak değiştirmemi söyledi. –

    +0

    , AS içinde Kotlin eklentisini güncellemediniz olabilir mi? – OsipXD